SELECT Код_материала_шин INTO #TmpTable FROM Справочник_материалов_шин
SET IDENTITY_INSERT Справочник_материалов_шин ON

IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_материала_шин = 1) INSERT INTO Справочник_материалов_шин (Описание,Код_материала_шин) VALUES ('медь',1)
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_материала_шин = 2) INSERT INTO Справочник_материалов_шин (Описание,Код_материала_шин) VALUES ('алюминий',2)
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_материала_шин = 3) INSERT INTO Справочник_материалов_шин (Описание,Код_материала_шин) VALUES ('железо',3)
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_материала_шин = 4) INSERT INTO Справочник_материалов_шин (Описание,Код_материала_шин) VALUES ('сталь',4)
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_материала_шин = 5) INSERT INTO Справочник_материалов_шин (Описание,Код_материала_шин) VALUES ('сталеалюминий',5)

SET IDENTITY_INSERT Справочник_материалов_шин OFF
DROP TABLE #TmpTable
